Subject: bug#12184: GNU Automake 1.12.2 - 4 tests FAIL on Solaris 10 Sparc

From: Dennis Clarke <[email-masked]>
Date: Sun, 12 Aug 2012 18:59:36 +0000 (GMT)

> On 08/12/2012 12:34 PM, Dennis Clarke wrote:
> > 
> > From: Stefano Lattarini
> >
> >> seems a problem in your compilers' setup rather than in the test 
> >> itself.  Could you please investigate whether this is the case?
> > 
> > Certainly, I will go back and have another look more carefully. 
> >
> Thanks.

Wow .. things just got a LOT worse here.  After nearly 7 hours : 

============================================================================
Testsuite summary for GNU Automake 1.12.2
============================================================================
# TOTAL: 2730
# PASS:  2445
# SKIP:  217
# XFAIL: 50
# FAIL:  17
# XPASS: 0
# ERROR: 1
============================================================================
See ./test-suite.log
Please report to [email-masked]
============================================================================
gmake[2]: *** [test-suite.log] Error 1
gmake[2]: Leaving directory `/usr/local/build/automake-1.12.2_sparcv9_001'
gmake[1]: *** [check-TESTS] Error 2
gmake[1]: Leaving directory `/usr/local/build/automake-1.12.2_sparcv9_001'
gmake: *** [check-am] Error 2

real  6:44:37.252
user  4:00:02.873
sys   2:41:32.796

This is just, staggering. 

I am really trying to figure out what could be in the environment that 
is the cause of these multitude of failures. 

My env vars looks like : 

 $ env | sort 
AS=/usr/ccs/bin/as
CC=/opt/SUNWspro/bin/cc
CFLAGS=-erroff -xstrconst -xildoff -m64 -xmemalign=8s -xnolibmil -Xa -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -ftrap=%none -Qy -xbuiltin=%none -xdebugformat=dwarf -xunroll=1 -xtarget=ultraT2 -xcache=8/16/4:4096/64/16 -D_TS_ERRNO -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE
CONFIG_SHELL=/bin/bash
CPPFLAGS=-I/usr/local/include -I/usr/local/include/readline
CXX=/opt/SUNWspro/bin/CC
CXXFLAGS=-erroff -xildoff -m64 -xmemalign=8s -xcode=pic32 -xregs=no%appl -xlibmieee -mc -g -xs -xunroll=1 -xtarget=ultraT2 -xcache=8/16/4:4096/64/16 -R/usr/local/lib -L/usr/local/lib -D_TS_ERRNO -D_POSIX_PTHREAD_SEMANTICS -D_LARGEFILE64_SOURCE
EDITOR=/usr/xpg4/bin/vi
GREP=/usr/local/bin/ggrep
HOME=/export/home/dclarke
LANG=C
LC_ALL=C
LC_COLLATE=C
LC_CTYPE=C
LC_MESSAGES=C
LC_MONETARY=C
LC_NUMERIC=C
LC_TIME=C
LD=/usr/ccs/bin/ld
LD_LIBRARY_PATH=/usr/local/lib
LD_OPTIONS=-L/usr/local/lib
LD_RUN_PATH=/usr/local/lib/$ISALIST:/usr/local/lib
LOGNAME=dclarke
M4=/usr/local/bin/gm4
MAIL=/usr/mail/dclarke
MANPATH=/usr/share/man:/usr/X11/share/man
PAGER=/usr/xpg4/bin/more
PATH=/usr/local/bin:/usr/xpg6/bin:/usr/xpg4/bin:/usr/ccs/bin:/opt/SUNWspro/bin:/usr/bin:/sbin:/bin:/usr/sbin:/usr/dt/bin:/usr/openwin/bin:/opt/schily/bin
PKG_CONFIG_PATH=/usr/local/lib/pkgconfig
PWD=/usr/local/build/automake-1.12.2_sparcv9_001
SED=/usr/local/bin/gsed
SHELL=/bin/bash
SRC=/usr/local/src
SSH_CLIENT=68.179.116.201 33207 22
SSH_CONNECTION=68.179.116.201 33207 66.225.151.250 22
SSH_TTY=/dev/pts/1
TERM=vt100
TZ=GMT0
USER=dclarke
VISUAL=/usr/xpg4/bin/vi
_=/usr/xpg4/bin/env

Note that CFLAGS are setup for a 64-bit build ( same as usual ) and with no optimization at all. In fact with -g we have debug builds and -xs tells us 
we even get this ( from the C Users Guide for Sun Studio 12 ) : 

B.2.137 -xs

        Allows debugging by dbx without object files.
        This option causes all the debug information to be copied into the
        executable. This has little impact on dbx performance or the 
        run-time performance of the program, but it does take more
        disk space.

great .. harmless. 

In fact there really isn't anything there that would be harmful. 

I have a lot of processor cores here ( 128 of them ) and if I can run 
gmake -j 8 check to speed things up I can get results in an hour. 

Any suggestions at all ? 

Dennis